Subject: bug#41005: problem with rendering Persian text in Emacs 27

From: Eli Zaretskii <[email-masked]>
Date: Wed, 03 Jun 2020 17:34:36 +0300

[Please keep the bug address on the CC list; use "Reply All".]

> From: hossein valizadeh <[email-masked]>
> Date: Wed, 3 Jun 2020 09:45:09 +0430
> 
> The Emacs I'm using is compiled by HarfBuzz. I also attached a video file containing information about this
> problem for a better understanding.
> 
> I checked my config file, line by line in different modes and in combination with different commands.
> I think it gets garbled in on of the following 2 situations:
> 
> 1. the auto-fill-mode is on
> 2. column-number-mode is on (or while I'm using %c modifier in custom mode line)
> 
> # These two seem to be related, As auto-fill-mode calculates the number of character in each line too.
> # I tried these in raw and un-configured Emacs; the results were the same and character got garbled.
> # The using font makes no different.(In raw Emacs I used "DejaVu Sans Mono" font )
> # Scale the buffer may help to show the word correctly but other words are still garbled.
> # It mostly happens when I'm trying to add something to existing line. (and sometimes it just normally
> happen)
> # I have deactivated these two options on my config file and Emacs worked properly since then.
> 
> *** I noticed another bug :
> 
> when I changed the input language to Persian(or any other language) by set-input-method command and
> scale the text with "C-x +", When I start typing, the first character in buffer ignores the input-method and an
> English character appears in buffer; But it won't happen for the next characters.

I asked you to please provide a test file with text that you think
looks incorrectly on display, and images that show how it looks in
Emacs 27 and in Emacs 26:

>  I suggest to start by attaching a sample file that exhibits the
>  problem, as text, not as an image, and then showing what it looked
>  like in previous versions of Emacs and what it looks like in Emacs
>  27.0.91 on your system.  Also, please tell which font was in use when
>  the problematic display was produced.  Then we can look into this
>  issue and see what could have caused it.

Please provide that stuff, it is important to make progress with this
bug report.  TIA.